OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_ParametricCurve3dElementCoordinateSystem Class Reference

Representation of STEP entity ParametricCurve3dElementCoordinateSystem
.

`#include <StepFEA_ParametricCurve3dElementCoordinateSystem.hxx>`

Inheritance diagram for StepFEA_ParametricCurve3dElementCoordinateSystem:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_ParametricCurve3dElementCoordinateSystem ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepFEA_ParametricCurve3dElementCoordinateDirection)&aDirection)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_ParametricCurve3dElementCoordinateDirection | Direction () const
| Returns field Direction .
Standard_EXPORT void | SetDirection (const Handle(StepFEA_ParametricCurve3dElementCoordinateDirection)&Direction)
| Set field Direction .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_ParametricCurve3dElementCoordinateDirection | theDirection

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ParametricCurve3dElementCoordinateSystem::StepFEA_ParametricCurve3dElementCoordinateSystem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepFEA_ParametricCurve3dElementCoordinateDirection StepFEA_ParametricCurve3dElementCoordinateSystem::Direction | ( |  | ) | const

Standard_EXPORT const StepFEA_ParametricCurve3dElementCoordinateSystem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaRepresentationItem.

Standard_EXPORT void StepFEA_ParametricCurve3dElementCoordinateSystem::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepFEA_ParametricCurve3dElementCoordinateDirection)& | aDirection
| ) |

Standard_EXPORT void StepFEA_ParametricCurve3dElementCoordinateSystem::SetDirection | ( | const Handle(StepFEA_ParametricCurve3dElementCoordinateDirection)& | Direction | ) |

## Field Documentation

Handle_StepFEA_ParametricCurve3dElementCoordinateDirection StepFEA_ParametricCurve3dElementCoordinateSystem::theDirection`[private]`

The documentation for this class was generated from the following file:

- StepFEA_ParametricCurve3dElementCoordinateSystem.hxx